Bug 656643 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss-pam-ldapd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:36 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
1 user (show)

Fixed In Version: nss-pam-ldapd-0.7.13-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-08 02:16:00 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:36:35 UTC
Your package nss-pam-ldapd appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fedora Update System 2011-03-02 21:14:24 UTC
Package nss-pam-ldapd-0.7.13-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-pam-ldapd-0.7.13-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/nss-pam-ldapd-0.7.13-3.fc15
then log in and leave karma (feedback).

Comment 2 Fedora Update System 2011-03-03 03:30:01 UTC
nss-pam-ldapd-0.7.13-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss-pam-ldapd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nss-pam-ldapd-0.7.13-3.fc15

Comment 3 Fedora Update System 2011-03-08 02:15:50 UTC
nss-pam-ldapd-0.7.13-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.